using Godot;

namespace Cirno.Scripts.Misc;

public partial class CameraTarget : Node2D
{
    public override void _Ready()
    {
        // register with the controller
        var res = GetTree().GetFirstNodeInGroup("camera_controllers");
        if (res is not null && res is CameraController cameraController)
        {
            cameraController.RegisterTarget(this);
        }
    }
}